/**
 * Copyright (C) 2003 Michel Santos
 * Licensed under the Academic Free License version 3.0
 * Please see the LICENSE for more information.
 */

package cern.colt.matrix.linalg;


/**
 * An exception indicating that a system of equations are inconsistent
 *
 * @author  Michel Santos
 */  
public class InconsistentEquationsException extends Exception {
  
  /**
   * Create and instance of InconsistentEquationsException
   */
  public InconsistentEquationsException() {
  }

  /**
   * Create and instance of InconsistentEquationsException
   */
  public InconsistentEquationsException(String msg) {
    super(msg);
  }

  /**
   * Create and instance of InconsistentEquationsException
   */
  public InconsistentEquationsException(Throwable cause) {
    super(cause);
  }
}
